Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005164 [Resin] minor always 07-02-12 12:38 07-03-12 13:57
Reporter alex View Status public  
Assigned To ferg
Priority normal Resolution fixed  
Status closed   Product Version 4.0.29
Summary 0005164: PdfReport pushes Resin's health checks over the edge
Description rep by Keith Fetterman

log:

[2012-07-29 00:01:22.154] {resin-2019} INFO com.caucho.health.action.HealthAction Health action PdfReport[] executing
[2012-07-29 00:02:59.466] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.distcache.cluster.CacheReplicationActor$ActorAlarm@6f3ea]] 95030ms coordinator-delta 95071ms
[2012-07-29 00:02:59.466] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 94965ms coordinator-delta 95264ms
[2012-07-29 00:02:59.482] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[ConnectionPool[jdbc/RvPartsDataSource]]] 94554ms coordinator-delta 95285ms
[2012-07-29 00:02:59.483] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/se]]] 94021ms coordinator-delta 95285ms
[2012-07-29 00:02:59.483] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 94021ms coordinator-delta 95285ms
[2012-07-29 00:02:59.483] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/axis2]]] 93650ms coordinator-delta 95285ms
[2012-07-29 00:02:59.484] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/useradmin]]] 93476ms coordinator-delta 95285ms
[2012-07-29 00:02:59.484] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 92627ms coordinator-delta 95285ms
[2012-07-29 00:02:59.528] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReaper@1f67dee]] 92627ms coordinator-delta 95285ms
[2012-07-29 00:02:59.528] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 92202ms coordinator-delta 95327ms
[2012-07-29 00:02:59.529] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[ProServer[id=default,cluster=app-tier]]] 92202ms coordinator-delta 95327ms
[2012-07-29 00:02:59.529] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.cloud.heartbeat.HeartbeatActor$HeartBeatAlarm@1979eb]] 91482ms coordinator-delta 95327ms
[2012-07-29 00:02:59.529] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.quercus.ResinQuercus$EnvTimeoutAlarmListener@14e972f]] 91477ms coordinator-delta 95327ms
[2012-07-29 00:02:59.530] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.quercus.lib.session.ProSessionManager@ea19f6]] 91477ms coordinator-delta 95327ms
[2012-07-29 00:02:59.552] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.server.admin.JniNetStat@1f8d077]] 86342ms coordinator-delta 95327ms
[2012-07-29 00:02:59.553] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReaper@4a0b66]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.554] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.554] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.554] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReaper@1796abe]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.555] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReaper@18a7b6c]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.555] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReaper@24ccce]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:02:59.555] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/se]]] 70285ms coordinator-delta 95348ms
[2012-07-29 00:03:00.012] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 70091ms coordinator-delta 95348ms
[2012-07-29 00:03:00.012] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/dealeradmin]]] 70112ms coordinator-delta 95369ms
[2012-07-29 00:03:00.012] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/csr]]] 70112ms coordinator-delta 95369ms
[2012-07-29 00:03:00.013] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 68434ms coordinator-delta 9536
9ms
[2012-07-29 00:03:00.013] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 68434ms coordinator-delta 9536
9ms
[2012-07-29 00:03:00.014] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.quercus.lib.session.ProSessionManager@5a6c1c]] 68
883ms coordinator-delta 95818ms
[2012-07-29 00:03:00.090] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/useradmin]]] 68818ms coordinator-delta 95818
ms
[2012-07-29 00:03:00.091] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 68818ms coordinator-delta 9581
8ms
[2012-07-29 00:03:00.091] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 68818ms coordinator-delta 9581
8ms
[2012-07-29 00:03:00.139] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReape
r@15ed323]] 68942ms coordinator-delta 95942ms
[2012-07-29 00:03:00.283] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/cms]]] 68986ms coordinator-delta 95986ms
[2012-07-29 00:03:00.284] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.http.log.AccessLog@df2868]] 68964ms coordinator-d
elta 95986ms
[2012-07-29 00:03:00.284] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[ConnectionPool[jdbc/Go2hydraulicsDataSource]]] 67757ms coord
inator-delta 95986ms
[2012-07-29 00:03:00.284] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[]]] 66831ms coordinator-delta 95986ms
[2012-07-29 00:03:00.284] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/]]] 66342ms coordinator-delta 95986ms
[2012-07-29 00:03:00.285] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 66342ms coordinator-delta 9598
6ms
[2012-07-29 00:03:00.285] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[ProStatSystem[]]] 60181ms coordinator-delta 95986ms
[2012-07-29 00:03:00.286] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.network.listen.TcpSocketLinkListener$SuspendReape
r@1c160cb]] 49279ms coordinator-delta 95986ms
[2012-07-29 00:03:00.286] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.http.log.AccessLog@c4cee]] 49279ms coordinator-de
lta 95986ms
[2012-07-29 00:03:02.412] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/internal]]] 49279ms coordinator-delta 95986m
s
[2012-07-29 00:03:02.413] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 49385ms coordinator-delta 9609
2ms
[2012-07-29 00:03:02.450] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/axis2]]] 49385ms coordinator-delta 96092ms
[2012-07-29 00:03:02.478] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.http.log.AccessLog@14c7cd]] 51336ms coordinator-d
elta 98239ms
[2012-07-29 00:03:02.591] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 51378ms coordinator-delta 9828
1ms
[2012-07-29 00:03:02.807] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 51610ms coordinator-delta 9851
3ms
[2012-07-29 00:03:02.807] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[]]] 49518ms coordinator-delta 98513ms
[2012-07-29 00:03:02.808] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 41383ms coordinator-delta 9851
3ms
[2012-07-29 00:03:02.808] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/cms]]] 41317ms coordinator-delta 98513ms
[2012-07-29 00:03:02.809] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 41163ms coordinator-delta 98513ms
[2012-07-29 00:03:02.809] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/internal]]] 41163ms coordinator-delta 98513ms
[2012-07-29 00:03:02.809] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 40922ms coordinator-delta 98513ms
[2012-07-29 00:03:02.933] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/resin-admin]]] 40922ms coordinator-delta 98513ms
[2012-07-29 00:03:02.934] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 41016ms coordinator-delta 98738ms
[2012-07-29 00:03:02.934] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 40063ms coordinator-delta 98738ms
[2012-07-29 00:03:02.935] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/csr]]] 39787ms coordinator-delta 98738ms
[2012-07-29 00:03:02.935] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[DeployControllerAlarm[null]]] 39354ms coordinator-delta 98738ms
[2012-07-29 00:03:02.935] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[SessionManager[/dealeradmin]]] 38830ms coordinator-delta 98738ms
[2012-07-29 00:03:02.936] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[NetworkListenSystem[]]] 38746ms coordinator-delta 98738ms
[2012-07-29 00:04:08.157] {profile-thread} INFO com.caucho.profile.ProProfile Thread[profile-thread,5,main] complete: 60s, period=100ms, gc-time=0ms, missed ticks=-1 (-0.17%), total ticks=601
[2012-07-29 00:04:45.080] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.cloud.heartbeat.HeartbeatActor$HeartBeatAlarm@1979eb]] 12622ms coordinator-delta 14768ms
[2012-07-29 00:04:45.080] {CoordinatorThread[]-2} WARNING com.caucho.util.AlarmClock AlarmClock slow alarm Alarm[alarm[com.caucho.distcache.cluster.CacheReplicationActor$ActorAlarm@6f3ea]] 12622ms coordinator-delta 14768ms
[2012-07-29 00:05:43.655] {resin-2019} INFO com.caucho.health.action.PdfReport PdfReport Summary mailed to msadmin@go2marine.com
[2012-07-29 00:10:43.669] {resin-2062} SEVERE com.caucho.env.health.HealthService HealthSystemHealthCheck[FATAL:Detected alarm freeze]
[2012-07-29 00:10:43.671] {resin-2062} WARNING com.caucho.env.health.HealthService HealthService[] status FATAL:8 active checks, 0 warning, 0 critical, 1 fatal, recheck 0 of 5
[2012-07-29 00:10:43.671] {resin-2062} INFO com.caucho.health.action.HealthAction Health action Restart[] executing
WarningService: Restart with health FATAL:8 active checks, 0 warning, 0 critical, 1 fatal
[2012-07-29 00:10:43.781] {resin-2062} WARNING com.caucho.env.warning.WarningService WarningService: Restart with health FATAL:8 active checks, 0 warning, 0 critical, 1 fatal
[2012-07-29 00:10:44.011] {resin-shutdown} INFO com.caucho.server.cluster.Server ProServer[id=default,cluster=app-tier] stopping
[2012-07-29 00:10:44.044] {resin-shutdown} INFO com.caucho.server.host.Host Host[production/host/www.shoprvparts.com] stopping
[2012-07-29 00:10:44.045] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/useradmin] stopping
[2012-07-29 00:10:45.254] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/se] stopping
[2012-07-29 00:10:45.260] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/dealeradmin] stopping
[2012-07-29 00:10:45.266] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/csr] stopping
[2012-07-29 00:10:45.271] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/cms] stopping
[2012-07-29 00:10:45.279] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/axis2] stopping
[2012-07-29 00:10:45.764] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/internal] stopping
[2012-07-29 00:10:45.769] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.shoprvparts.com/ROOT] stopping
[2012-07-29 00:10:46.210] {resin-shutdown} INFO com.caucho.server.host.Host Host[production/host/www.go2hydraulics.com] stopping
[2012-07-29 00:10:46.210] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/useradmin] stopping
[2012-07-29 00:10:46.227] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/se] stopping
[2012-07-29 00:10:46.299] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/dealeradmin] stopping
[2012-07-29 00:10:46.304] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/csr] stopping
[2012-07-29 00:10:46.309] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/cms] stopping
[2012-07-29 00:10:46.316] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/axis2] stopping
[2012-07-29 00:10:46.647] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/resin-admin] stopping
[2012-07-29 00:10:46.654] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/internal] stopping
[2012-07-29 00:10:46.660] {resin-shutdown} INFO com.caucho.server.webapp.WebApp WebApp[production/webapp/www.go2hydraulics.com/ROOT] stopping
[2012-07-29 00:10:46.742] {resin-shutdown} INFO com.caucho.server.host.Host Host[production/host/default] stopping
[2012-07-29 00:10:46.833] {resin-shutdown} WARNING com.caucho.cloud.network.ClusterServer ClusterServer[id=default] notify-heartbeat-stop

Shutdown Resin reason: HEALTH

[2012-07-29 00:10:53.078] {resin-shutdown} WARNING com.caucho.env.shutdown.ShutdownSystem Shutdown Resin reason: HEALTH
Resin Professional 4.0.23 (built Fri, 30 Sep 2011 09:32:50 PDT)
Copyright(c) 1998-2010 Caucho Technology. All rights reserved.

  1014096.license -- 3 Resin servers Mariner Supply Inc

Starting Resin Professional on Sun, 29 Jul 2012 00:11:01 -0700 (PDT)

[2012-07-29 00:11:05.431] {main} INFO com.caucho.server.cache.Cache Proxy Cache disk-size=1024M memory-size=64M
[2012-07-29 00:11:06.175] {main} INFO com.caucho.env.service.ResinSystem
[2012-07-29 00:11:06.176] {main} INFO com.caucho.env.service.ResinSystem Linux 2.6.18-308.11.1.el5 i386
[2012-07-29 00:11:06.177] {main} INFO com.caucho.env.service.ResinSystem Java(TM) SE Runtime Environment 1.6.0_29-b11, UTF-8, en
[2012-07-29 00:11:06.178] {main} INFO com.caucho.env.service.ResinSystem Java HotSpot(TM) Server VM 20.4-b02, 32, mixed mode, Sun Microsystems Inc.
[2012-07-29 00:11:06.179] {main} INFO com.caucho.env.service.ResinSystem
[2012-07-29 00:11:06.179] {main} INFO com.caucho.env.service.ResinSystem user.name = resin
[2012-07-29 00:11:13.282] {main} INFO com.caucho.cloud.network.NetworkClusterSystem
[2012-07-29 00:11:13.290] {main} INFO com.caucho.network.listen.TcpSocketLinkListener server listening to localhost.localdomain:6800
[2012-07-29 00:11:13.314] {main} INFO com.caucho.cloud.network.NetworkClusterSystem
[2012-07-29 00:11:15.951] {main} INFO com.caucho.server.cluster.Server
[2012-07-29 00:11:15.952] {main} INFO com.caucho.server.cluster.Server resin.home = /usr/local/resin/
[2012-07-29 00:11:15.953] {main} INFO com.caucho.server.cluster.Server resin.root = /web/resin
[2012-07-29 00:11:15.954] {main} INFO com.caucho.server.cluster.Server resin.conf = /web/resin/conf/resin.xml
[2012-07-29 00:11:15.954] {main} INFO com.caucho.server.cluster.Server
[2012-07-29 00:11:15.978] {main} INFO com.caucho.server.cluster.Server server = 127.0.0.1:6800 (app-tier:default)
[2012-07-29 00:11:15.979] {main} INFO com.caucho.server.cluster.Server stage = production
[2012-07-29 00:11:16.256] {main} INFO com.caucho.server.host.Host Host[production/host/default] active
[2012-07-29 00:11:17.677] {main} CONFIG com.caucho.loader.ClassEntry In-place class redefinition (HotSwap) is available.
Additional Information Configuration
The Java VM parameters on the failing server are (resin.xml):

       <server-default>
           <http address="*" port="8082"/>

<jvm-arg>-Dresin.license.dir=${resin.root}/licenses</jvm-arg>
           <jvm-arg>-J-server</jvm-arg>
           <jvm-arg>-Xms1500M</jvm-arg>
           <jvm-arg>-Xmx1500M</jvm-arg>
           <jvm-arg>-XX:MaxPermSize=250M</jvm-arg>


The configuration for the PDF reports are pretty much the same as the settings in the default resin.xml file:

       <resin:if test="${resin.professional}">
           <resin:import path="${__DIR__}/health.xml" optional="true"/>

           <health:PdfReport>
<path>${resin.root}/doc/admin/pdf-gen.php</path>
               <report>Summary</report>
               <period>7D</period>
               <snapshot/>
<mail-to>foo@bar.com</mail-to>
               <!-- <mail-from>resin@www01.foo.com</mail-from> -->
               <profile-time>60s</profile-time>
               <health:IfCron value="0 0 * * 0"/>
           </health:PdfReport>

           <health:PdfReport>
<path>${resin.root}/doc/admin/pdf-gen.php</path>
               <report>Restart</report>
               <period>2h</period>
<mail-to>foo@bar.com</mail-to>
               <!-- <mail-from>resin@www01.bar.com</mail-from> -->
               <health:OnRestart/>
           </health:PdfReport>
       </resin:if>
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
07-02-12 12:38 alex New Issue
07-02-12 12:38 alex version 4.0.30 => 4.0.29
07-03-12 13:57 ferg Assigned To  => ferg
07-03-12 13:57 ferg Status new => closed
07-03-12 13:57 ferg Resolution open => fixed
07-03-12 13:57 ferg Fixed in Version  => 4.0.30
07-03-12 13:57 ferg Additional Information Updated
04-25-17 07:28 venkatesan Issue Monitored: venkatesan
04-25-17 07:29 venkatesan Issue End Monitor: venkatesan


Mantis 1.0.0rc3[^]
Copyright © 2000 - 2005 Mantis Group
32 total queries executed.
27 unique queries executed.
Powered by Mantis Bugtracker